Core APIVaultsSlug
/vaults/{slug}
Get VaultInfo by slug
Get VaultInfo by slug
Path Parameters
slug*string
Unique slug identifier for the vault.
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/vaults/nest-alpha-vault"{ "data": { "complianceVersion": "v1", "complianceVersionByChain": { "property1": "v1", "property2": "v1" }, "complianceDeployments": [ { "version": "v1", "chainId": 1, "enabled": true, "proxyAddress": "string", "hookAddress": "string", "apiChain": "string", "startBlock": 0 } ], "vaultType": "boring", "category": "nestVault", "vaultAddress": "string", "nestShareOftAddress": "string", "nestVaults": [ { "nestVaultAddress": "string", "asset": "string", "chainAssets": [ { "chainId": 1, "assetAddress": "string" } ] } ], "nestComposers": [ { "asset": "string", "composerAddress": "string", "assetAddress": "string", "chainId": 1, "complianceVersion": "v1", "cctpDepositEnabled": true, "depositAndSendDestinations": [ { "chainId": 1, "eid": 1 } ], "startBlock": 0 } ], "accountantAddress": "string", "isHubAccountant": false, "nestAccountant": { "address": "string", "isHub": false, "chain": { "mainnet": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "base": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "plume": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "plasma": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "arbitrum": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "bsc": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "worldchain": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "avalanche": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "arc": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "morph": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "robinhood": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "monad": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" } } }, "authorityAddress": "string", "tellerContractAddress": "string", "decimals": 0, "decimalsOverride": [ { "56": 18 } ], "chain": { "mainnet": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "base": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "plume": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "plasma": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "arbitrum": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "bsc": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "worldchain": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "avalanche": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "arc": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "morph": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "robinhood": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "monad": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" } }, "solana": { "mintAddress": "string", "oftStoreAddress": "string", "composerAddress": "string", "decimals": 0, "startBlock": 0 }, "liquidAssets": [ { "contractAddress": "string", "symbol": "string", "iconUrl": "string", "decimals": 0, "price": 0, "chainId": 0, "minimumSourceRules": [ { "sourceChain": 1, "sourceParams": { "excludeWallets": [ "string" ] } } ] } ], "slug": "string", "name": "string", "symbol": "string", "icon": "string", "iconMini": "string", "targetComposition": [ { "slug": "string", "name": "string", "description": "string", "image": "string" } ], "targetApy": 0, "sec30d": 0, "tvl": 0, "numHolders": 0, "volume24h": 0 }}/vaults/recent-transactions GET
Get recent transactions for all vaults
/vaults/{slug}/apy GET
Get Vault APY by slug. `compositionApy` is the composition-weighted yield APY based on underlying yield-bearing assets (liquid assets and off-chain value are excluded from the APY denominator). `apy` is a legacy alias for `compositionApy`. `navApy` is the price-delta (NAV-based) APY computed from vault token price changes. `targetApy` is the APY of vault's reported yield. It is present when vault's current calculated APYs are not representative of vault yield.